using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using DevComponents.DotNetBar;
using DevComponents.DotNetBar.Rendering;
using System.IO;


namespace Entity_FrameWork
{
    public partial class Main : Form
    {
        public Main()
        {
            InitializeComponent();
            this.MinimumSize = new System.Drawing.Size(857, 496);
        }

        private void button_Kala_Click(object sender, EventArgs e)
        {
            
        }

        private void button_Customer_Click(object sender, EventArgs e)
        {
            
        }

        private void button_User_Click(object sender, EventArgs e)
        {
            
        }

        private void button_TelephoneCompany_Click(object sender, EventArgs e)
        {
           
        }

        private void button_TelephonePerson_Click(object sender, EventArgs e)
        {
           
        }

        private void button_Close_Click(object sender, EventArgs e)
        {
           
            
        }

        private void button_Search_Click(object sender, EventArgs e)
        {
           
        }

        private void button_Backup_Click(object sender, EventArgs e)
        {
           
        }

        private void button_Comment_Click(object sender, EventArgs e)
        {
            
        }

        private void buttonX1_Click(object sender, EventArgs e)
        {
           
        }

        private void button_Kala_Click_1(object sender, EventArgs e)
        {

            
        }

        private void Main_Load(object sender, EventArgs e)
        {

            try
            {
                StreamReader sr = new StreamReader(Application.StartupPath + "\\Style.Htl");
                string StrStyle = sr.ReadLine().ToString();
                sr.Close();

                switch (StrStyle)
                {
                    case "Office2007blue":
                        {
                            styleManager1.ManagerStyle = eStyle.Office2007Blue;
                            break;
                        }


                    case "Office2007silver":
                        {
                            styleManager1.ManagerStyle = eStyle.Office2007Silver;
                            break;
                        }


                    case "Office2007black":
                        {
                            styleManager1.ManagerStyle = eStyle.Office2007Black;
                            break;
                        }

                    case "Office2010blue":
                        {
                            styleManager1.ManagerStyle = eStyle.Office2010Blue;
                            break;
                        }

                    case "Office2010silver":
                        {
                            styleManager1.ManagerStyle = eStyle.Office2010Silver;
                            break;
                        }



                    case "Office2010black":
                        {
                            styleManager1.ManagerStyle = eStyle.Office2010Black;
                            break;
                        }



                    case "Office2016":
                        {
                            styleManager1.ManagerStyle = eStyle.Office2016;
                            break;
                        }


                    case "Officemob2014":
                        {
                            styleManager1.ManagerStyle = eStyle.OfficeMobile2014;
                            break;
                        }


                    case "Office2007VistaGlass":
                        {
                            styleManager1.ManagerStyle = eStyle.Office2007VistaGlass;
                            break;
                        }


                    case "VisualStudio2010Blue":
                        {
                            styleManager1.ManagerStyle = eStyle.VisualStudio2010Blue;
                            break;
                        }

                    case "VisualStudio2012Light":
                        {
                            styleManager1.ManagerStyle = eStyle.VisualStudio2012Light;
                            break;
                        }

                    case "VisualStudio2012Dark":
                        {
                            styleManager1.ManagerStyle = eStyle.VisualStudio2012Dark;
                            break;
                        }



                    case "Windows7":
                        {
                            styleManager1.ManagerStyle = eStyle.Windows7Blue;
                            break;
                        }
                }
            }
            catch
            {
                styleManager1.ManagerStyle = eStyle.Office2007Blue;
            }


        }

        private void buttonItem6_Click(object sender, EventArgs e)
        {

        }

        private void buttonItem6_Click_1(object sender, EventArgs e)
        {

        }

        private void buttonItem2_Click(object sender, EventArgs e)
        {
            Customer customer = new Customer();
            customer.ShowDialog();
        }

        private void buttonItem3_Click(object sender, EventArgs e)
        {
            Kala kala = new Kala(0);
            kala.ShowDialog();
        }

        private void buttonItem4_Click(object sender, EventArgs e)
        {
            Sherkat sherkat = new Sherkat();
            sherkat.ShowDialog();
        }

        private void buttonItem5_Click(object sender, EventArgs e)
        {
            Search search = new Search();
            search.ShowDialog();
        }

        private void buttonItem7_Click(object sender, EventArgs e)
        {
            TelephoneCompany company = new TelephoneCompany();
            company.ShowDialog();
        }

        private void buttonItem8_Click(object sender, EventArgs e)
        {
            TelephonePerson person = new TelephonePerson();
            person.ShowDialog();
        }

        private void buttonItem11_Click(object sender, EventArgs e)
        {
            Backup backup = new Backup();
            backup.ShowDialog();
        }

        private void buttonItem9_Click(object sender, EventArgs e)
        {
            User user = new User();
            user.ShowDialog();
        }

        private void buttonItem10_Click(object sender, EventArgs e)
        {
            Comment comment = new Comment();
            comment.ShowDialog();
        }

        private void buttonItem13_Click(object sender, EventArgs e)
        {
            if (FMessegeBox.FarsiMessegeBox.Show("آيا براي خروج مطمئن هستيد؟", "پيام سيستم", FMessegeBox.FMessegeBoxButtons.YesNo, FMessegeBox.FMessegeBoxIcons.Question) == DialogResult.Yes)
            {
                Application.Exit();
            }
        }

        private void buttonItem12_Click(object sender, EventArgs e)
        {
            Desin desin = new Desin();
            desin.ShowDialog();
        }

        private void of2007b_Click(object sender, EventArgs e)
        {
            
            styleManager1.ManagerStyle = eStyle.Office2007Blue;
            TextWriter tw = new StreamWriter(Application.StartupPath + "\\Style.Htl");
            tw.WriteLine("Office2007Blue");
            tw.Close();
        }

        private void of2007s_Click(object sender, EventArgs e)
        {
            
            styleManager1.ManagerStyle = eStyle.Office2007Silver;
            TextWriter tw = new StreamWriter(Application.StartupPath + "\\Style.Htl");
            tw.WriteLine("Office2007Silver");
            tw.Close();
        }

        private void of2007bl_Click(object sender, EventArgs e)
        {
            
            styleManager1.ManagerStyle = eStyle.Office2007Black;
            TextWriter tw = new StreamWriter(Application.StartupPath + "\\Style.Htl");
            tw.WriteLine("Office2007Black");
            tw.Close();
        }

        private void of2010b_Click(object sender, EventArgs e)
        {
            
            styleManager1.ManagerStyle = eStyle.Office2010Blue;
            TextWriter tw = new StreamWriter(Application.StartupPath + "\\Style.Htl");
            tw.WriteLine("Office2010Blue");
            tw.Close();
        }

        private void of2010s_Click(object sender, EventArgs e)
        {
            
            styleManager1.ManagerStyle = eStyle.Office2010Silver;
            TextWriter tw = new StreamWriter(Application.StartupPath + "\\Style.Htl");
            tw.WriteLine("Office2010Silver");
            tw.Close();
        }

        private void of2010bl_Click(object sender, EventArgs e)
        {
            
            styleManager1.ManagerStyle = eStyle.Office2010Black;
            TextWriter tw = new StreamWriter(Application.StartupPath + "\\Style.Htl");
            tw.WriteLine("Office2010Black");
            tw.Close();
        }

        private void of2016_Click(object sender, EventArgs e)
        {
            
            styleManager1.ManagerStyle = eStyle.Office2016;
            TextWriter tw = new StreamWriter(Application.StartupPath + "\\Style.Htl");
            tw.WriteLine("Office2016");
            tw.Close();
        }

        private void ofmob2014_Click(object sender, EventArgs e)
        {
            
            styleManager1.ManagerStyle = eStyle.OfficeMobile2014;
            TextWriter tw = new StreamWriter(Application.StartupPath + "\\Style.Htl");
            tw.WriteLine("OfficeMobile2014");
            tw.Close();
        }

        private void of2007vg_Click(object sender, EventArgs e)
        {
           
            styleManager1.ManagerStyle = eStyle.Office2007VistaGlass;
            TextWriter tw = new StreamWriter(Application.StartupPath + "\\Style.Htl");
            tw.WriteLine("Office2007VistaGlass");
            tw.Close();
        }

        private void win7b_Click(object sender, EventArgs e)
        {
            
            styleManager1.ManagerStyle = eStyle.Windows7Blue;
            TextWriter tw = new StreamWriter(Application.StartupPath + "\\Style.Htl");
            tw.WriteLine("Windows7");
            tw.Close();
        }

        private void vs2010b_Click(object sender, EventArgs e)
        {
           
            styleManager1.ManagerStyle = eStyle.VisualStudio2010Blue;
            TextWriter tw = new StreamWriter(Application.StartupPath + "\\Style.Htl");
            tw.WriteLine("VisualStudio2010Blue");
            tw.Close();
        }

        private void vs2012l_Click(object sender, EventArgs e)
        {
            
            styleManager1.ManagerStyle = eStyle.VisualStudio2012Light;
            TextWriter tw = new StreamWriter(Application.StartupPath + "\\Style.Htl");
            tw.WriteLine("VisualStudio2012Light");
            tw.Close();
        }

        private void vs2012d_Click(object sender, EventArgs e)
        {
            
            styleManager1.ManagerStyle = eStyle.VisualStudio2012Dark;
            TextWriter tw = new StreamWriter(Application.StartupPath + "\\Style.Htl");
            tw.WriteLine("VisualStudio2012Dark");
            tw.Close();
        }

        private void ribbonBar1_ItemClick(object sender, EventArgs e)
        {

        }
    }
}
